// Add special assembly references to be parsed by ACT here.  ACT will always add itself as a reference.
// Example:  (Keep the // commenting in actual use)  
// reference:System.dll

using System;
using System.Reflection;
using Advanced_Combat_Tracker;
using System.Windows.Forms;
using Microsoft.VisualBasic;

// ACT will parse these assembly attributes to show plugin info in the same way it would if it were a DLL
[assembly: AssemblyTitle("Mokujin Timer Plugin")]
[assembly: AssemblyDescription("Mokujin Timer")]
[assembly: AssemblyVersion("1.0.0.0")]

namespace ACT_Plugin
{
    public class Mokujin_Timer_Plugin : IActPluginV1 // To be loaded by ACT, plugins must implement this interface
    {
        Label statusLabel;	// Handle for the status label passed by InitPlugin()

        public void InitPlugin(TabPage pluginScreenSpace, Label pluginStatusText)
        {
            statusLabel = pluginStatusText;
            statusLabel.Text = "Plugin started";
            Label lbl = new Label();
            lbl.Location = new System.Drawing.Point(8, 8);
            lbl.AutoSize = true;
            lbl.Text = "Nothing to display.";
            pluginScreenSpace.Controls.Add(lbl);
            ActGlobals.oFormActMain.ValidateLists();

            ActGlobals.oFormSpellTimers.OnSpellTimerExpire += new SpellTimerEventDelegate(oFormSpellTimers_OnSpellTimerExpire);

            statusLabel.Text = "Plugin Inited.";
        }

        public void DeInitPlugin()  // You must unsubscribe to any events you use
        {
            ActGlobals.oFormSpellTimers.OnSpellTimerExpire -= oFormSpellTimers_OnSpellTimerExpire;
            statusLabel.Text = "Plugin exited";
        }

        public void oFormSpellTimers_OnSpellTimerExpire(TimerFrame spellTimer) 
        {
            if (spellTimer.Name == "ؐlv") 
            {
                ActGlobals.oFormActMain.ActCommands("end");
            }
        }

    }
}
